<!DOCTYPE html>
<html lang="en">
<head>

  {% block title %}<title>Local Library</title>{% endblock %}
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>

  <!-- Add additional CSS in static file -->
  {% load static %}
  <link rel="stylesheet" href="{% static 'css/styles.css' %}">
</head>

<body>

  <div class="container-fluid">
    <div class="row">
      <div class="col-sm-2">
      {% block sidebar %}
      <ul class="sidebar-nav">
          <li><a href="{% url 'index' %}">Home</a></li>
          <li><a href="{% url 'books' %}">All Titles</a></li>
          <li><a href="{% url 'authors' %}">All authors</a></li>
          <li><a href="{% url 'genres' %}">All Genres</a></li>
          <li><a href="{% url 'my_borrowed' %}">My Borrowed</a></li>

          {% if user.is_staff %}
            <li><a href="{% url 'all_borrowed' %}">All Borrowed</a></li>
          {% endif %}

          {% if user.is_authenticated %}
            <li>User: {{ user.get_username }} {% if user.is_staff %} (Admin) {% endif %} </li>
            <li><a href="{% url 'logout'%}?next={{ request.path }}">Logout</a></li>
            {% else %}
            <li><a href="{% url 'login'%}?next={{ request.path }}">Login</a></li>
            <li><a href="{% url 'signup' %}">Register</a></li>
          {% endif %}

          <br>
          <br>
          <br>

          {% if user.is_staff %}
            <li><strong><a href="{% url 'book_create' %}">Create Title</a></strong></li>
            <li><strong><a href="{% url 'bookinstance_create' %}">Create Book</a></strong></li>
            <li><strong><a href="{% url 'author_create' %}">Create Auhtor</a></strong></li>
            <li><strong><a href="{% url 'genre_create' %}">Create Genre</a></strong></li>
            <li><strong><a href="{% url 'language_create' %}">Create Language</a></strong></li>
          {% endif %}

      </ul>
     {% endblock %}
      </div>
      <div class="col-sm-10 ">
      {% block content %}{% endblock %}
      {% block pagination %}
      {% if is_paginated %}
      <div class="pagination">
          <span class="page-links">
              {% if page_obj.has_previous %}
                  <a href="{{ request.path }}?page={{ page_obj.previous_page_number }}">previous</a>
              {% endif %}
              <span class="page-current">
                  Page {{ page_obj.number }} of {{ page_obj.paginator.num_pages }}.
              </span>
              {% if page_obj.has_next %}
                  <a href="{{ request.path }}?page={{ page_obj.next_page_number }}">next</a>
              {% endif %}
          </span>
      </div>
      {% endif %}
      {% endblock %}
      </div>
    </div>

  </div>
</body>
</html>